﻿using System;
using System.Web;

namespace AspNetGallery.Extensions.Handlers
{
    public class SimpleHandler : IHttpHandler
    {
        public Boolean IsReusable
        {
            get { return false; }
        }

        public void ProcessRequest(HttpContext context)
        {
            const String htmlTemplate = "<html><head><title>{0}</title></head><body>" +
                                        "<h1>Hello I’m: " +
                                        "<span style='color:blue'>{1}</span></h1>" +
                                        "</body></html>";
            var response = String.Format(htmlTemplate,
                     "HTTP Handlers", context.Request.Path);
            context.Response.Write(response);

        }
    }
}
