﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Test.aspx.cs" Inherits="BindScript.Test" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
<script type="text/javascript">
    function handleClick(elem) {
        var target = elem;
        var id = target.getAttribute("tag");

        process(id);
    }

    function process(id) {
        window.alert(id);
    }
</script>
</asp:Content>

<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
                ConnectionString='<%$ ConnectionStrings:NorthwindConnectionString %>'
                SelectCommand="SELECT * FROM products" />

        <asp:GridView ID="GridView1" runat="server" 
            DataSourceID="SqlDataSource1"   
            DataKeyNames="productid,productname,unitprice"
            AutoGenerateColumns="false" 
            AllowPaging="true"
            ClientIDMode="AutoID">
            <Columns>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:Label runat="server" ID="ProductId" 
                                   Text='<%# Eval("productname") %>' 
                                   Tag = '<%# Eval("productid") %>' />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:boundfield datafield="quantityperunit" headertext="Packaging" /> 
                <asp:boundfield datafield="unitprice" headertext="Price" HtmlEncode="false" DataFormatString="{0:c}">
						<itemstyle width="80px" horizontalalign="right" /> 
                </asp:boundfield>
            </Columns>
        </asp:GridView>
</asp:Content>
