using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using Mvvm.ExternalServices;

namespace Mvvm.Model
{
    public class ProductListForDisplay
    {
        public ObservableCollection<ProductInfo> Items { get; set; }

        public static ProductListForDisplay Import(IList<ProductInfo> products)
        {
            return new ProductListForDisplay()
                       {
                           Items = new ObservableCollection<ProductInfo>(products)
                       };
        }
    }
}