﻿using System;

namespace Utils
{
    public static class StringExtensions
    {
        public static Int32 ToInt32(this String theString, Int32 defaultNumber = Int32.MinValue)
        {
            Int32 number;
            var result = Int32.TryParse(theString, out number);
            return result ? number : defaultNumber;
        }
    }
}
