namespace LiveQuoteManager.Services
{
    public class ServiceLocator
    {
        public static object GetService<T>()
        {
            // Dynamic instantiation
            if (typeof(T) == typeof(IQuoteProvider))
                return GotInternet() ? (IQuoteProvider)new YahooQuoteProvider()
                                     : (IQuoteProvider)new RandomQuoteProvider();

            //if (typeof(T) == typeof(IQuoteFormatter))
            //    return new HtmlQuoteFormatter();

            return null;
        }

        private static bool GotInternet()
        {
            return false;
        }
    }
}