using System;
using System.Collections.Generic;
using Entities;
using Presentation.Views.Default;

namespace TddFun.TestDoubles
{
    public class FakeDefaultView : IDefaultView
    {
        private readonly String _symbols;
        public FakeDefaultView(String fakeSymbols)
        {
            _symbols = fakeSymbols;
        }
        public IList<StockInfo> Quotes { get; set; }
        public String Message { get; set; }
        public String Symbols
        {
            get { return _symbols; }
            set {}
        }
    }
}