﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="AutoComplete._Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
    <link href="<%= ResolveUrl("~/Styles/jq-ui-Themes/sunny/jquery-ui-1.8.custom.css")%>" rel="stylesheet" type="text/css" />  
    <script src="<%= ResolveUrl("~/Scripts/jquery-1.4.2.min.js")%>" type="text/javascript"></script>
    <script src="<%= ResolveUrl("~/Scripts/jQueryUI/jquery-ui-1.8.custom.min.js")%>" type="text/javascript"></script>  

    <script type="text/javascript">
    function clearSelection() {
        $(playerNameTextBoxId).val("");
        $(playerIdTextBoxId).val("");
    }

    var currentUrlForAutoComplete = "playersautocomplete.ashx";
    var playerNameTextBoxId = "#" + "<%= PlayerName.ClientID %>";
    var playerIdTextBoxId = "#" + "<%= PlayerID.ClientID %>";
    var selected = false;
    $(document).ready(function () {
        $(playerNameTextBoxId).autocomplete({
            source: function (request, response) {
                $.ajax({
                    url: currentUrlForAutoComplete,
                    type: "POST",
                    dataType: "json",
                    data: { maxRows: 10, term: request.term },
                    success: function (data) {
                        if (data.length == 0) { clearSelection(); }
                        response(data)
                    }
                });
            },
            minLength: 1,
            open: function (event, ui) { selected = false; },
            select: function (event, ui) { $(playerIdTextBoxId).val(ui.item.id); selected = true; },
            close: function (event, ui) { if (selected == false) { clearSelection(); } }
        });
    });
</script>

</asp:Content>

<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>
        Smart auto-complete with jQuery UI
    </h2>
    <hr />

    <h3>Pick up your favorite tennis player</h3>
    <asp:TextBox runat="server" ID="PlayerName" />
    <asp:HiddenField runat="server" ID="PlayerID" />
    <asp:Button runat="server" Text="Let us know" OnClick="Button1_Click" />
    <hr />
    <asp:Label runat="server" ID="Label1" />
</asp:Content>
