﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="ClientId.aspx.cs" Inherits="ControlFun.ClientId" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
<script type="text/javascript">
    $(document).ready(function () {
        var alfki = $("#ctl00_MainContent_Repeater3_ctl00_Element");
        alfki.css("color", "blue").css("font-weight", "bold");
    });
</script>


Testing client ID modes
<hr />
Open the View Source menu item to snoop into the markup emitted for the page.

<p><b>Repeater</b> using HTML tags</p>
<ul>
<asp:Repeater runat="server" ID="Repeater1">
    <ItemTemplate>
        <li><span id="Element">
        <%# DataBinder.Eval(Container.DataItem, "CustomerID") %>
        </span></li>
    </ItemTemplate>
</asp:Repeater>
</ul>

<p><b>Repeater</b> using child server controls: Inherit <b>(Default behavior you get unless you modify settings)</b></p>
<ul>
<asp:Repeater runat="server" ID="Repeater2">
    <ItemTemplate>
        <li><asp:Label runat="server" id="Element">
        <%# DataBinder.Eval(Container.DataItem, "CustomerID") %>
        </asp:Label></li>
    </ItemTemplate>
</asp:Repeater>
</ul>

<p><b>Repeater</b> using child server controls: AutoID</p>
<ul>
<asp:Repeater runat="server" ID="Repeater3">
    <ItemTemplate>
        <li><asp:Panel runat="server" id="Figa"><asp:Label runat="server" id="Element">
        <%# DataBinder.Eval(Container.DataItem, "CustomerID") %>
        </asp:Label></asp:Panel></li>
    </ItemTemplate>
</asp:Repeater>
</ul>

<p><b>Repeater</b> using child server controls: Predictable</p>
<ul>
<asp:Repeater runat="server" ID="Repeater4">
    <ItemTemplate>
        <li><asp:Label runat="server" id="Element">
        <%# DataBinder.Eval(Container.DataItem, "CustomerID") %>
        </asp:Label></li>
    </ItemTemplate>
</asp:Repeater>
</ul>

<p><b>Repeater</b> using child server controls: Static</p>
<ul>
<asp:Repeater runat="server" ID="Repeater5">
    <ItemTemplate>
        <li><asp:Label runat="server" id="Element">
        <%# DataBinder.Eval(Container.DataItem, "CustomerID") %>
        </asp:Label></li>
    </ItemTemplate>
</asp:Repeater>
</ul>

</asp:Content>
