﻿using System;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Text;
using System.Web.UI.WebControls;
using Simple.DAL;

namespace Simple
{
    public partial class CountryList : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
                FillCountries();
        }

        protected void FillCountries()
        {
            // Prepare command and connection string
            var repo = new CustomerRepository();
            var data = repo.GetCountries();

            Countries.DataSource = data;
            Countries.DataBind();
        }

        protected void Button1_Click(Object sender, EventArgs e)
        {
            var builder = new StringBuilder();
            for (var i = 0; i < Countries.Items.Count; i++)
            {
                var li = Countries.Items[i];
                if (li.Selected)
                {
                    builder.AppendFormat("{0},", li.Text);
                }
            }
            var countryList = builder.ToString();
            var repo = new CustomerRepository();
            var data = repo.GetCustomersByCountry(countryList);
            
            CustomerList.DataTextField = "companyname";
            CustomerList.DataSource = data;
            CustomerList.DataBind();
        }
    }
}