﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Templates.aspx.cs" Inherits="Simple.Templates" %>

<asp:Content ContentPlaceHolderID="HeadContent" runat="server">
    <style type="text/css">
        .bold {font-weight:bold;}
    </style>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <asp:DropDownList ID="Countries" runat="server" 
        AutoPostBack="true" 
        AppendDataBoundItems="True" 
        OnSelectedIndexChanged="Countries_SelectedIndexChanged">
        <asp:ListItem>[Select a country]</asp:ListItem>
    </asp:DropDownList>
            
    <asp:Repeater ID="Repeater1" runat="server">
        <HeaderTemplate>
            <h2>We have customers in the following cities</h2>
            <hr />
        </HeaderTemplate> 
        <SeparatorTemplate>
            <hr />
        </SeparatorTemplate>
        <ItemTemplate>
            <span><%# Eval("City") %></span>
            &nbsp;&nbsp;
            <span class="bold"><%# Eval("Country")%></span>
        </ItemTemplate>
        <FooterTemplate>
            <hr />
            <%# CalcTotal() %> cities
        </FooterTemplate>
    </asp:Repeater>

</asp:Content>
