using System;
using Mvvm.ExternalServices;

namespace Mvvm.Model
{
    public class ProductInfoForDisplay
    {
        public Int32 Id { get; set; }
        public String Name { get; set; }
        public String Number { get; set; }
        public Int32 SafetyStockLevel { get; set; }
        public Int32 ReorderPoint { get; set; }

        public static ProductInfoForDisplay Import(ProductInfo info)
        {
            return new ProductInfoForDisplay()
                       {
                           Id = info.ProductId,
                           Name = info.Name,
                           Number = info.ProductNumber,
                           ReorderPoint = info.ReorderPoint,
                           SafetyStockLevel = info.SafetyStockLevel
                       };
        }
    }
}