﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="CheckAll.aspx.cs" Inherits="jQuery.Demos.CheckAll" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
<script type="text/javascript">
    $(document).ready(function () {
        initializePage();
    });
</script>
<script type="text/javascript">
    var showHideSelector = "#ShowHideButton";
    var autoCheckSelector = "#<%= CheckboxSelector.ClientID %>";
    var panelSelector = "#Panel";

    function initializePage() {
        // Attach logic to the checkbox selector button
        $(autoCheckSelector).click(function () {
            checkAll();
        });

        // Hide the panel initially
        $(panelSelector).hide();

        // Configure the show/hide button
        $(showHideSelector).attr("value", "Show");
        $(showHideSelector).click(function (e) {
            alert(e.pageX);
            toggleVisibility();
        });

        //$("#Button1").bind("click", function () { emulate(); });
        //$("#Button1").unbind("click");
    }
</script>
<script type="text/javascript">
    function toggleVisibility() {
        //$(panelSelector).toggle();

        var ws = $(panelSelector);
        var panelIsHidden = ws.is(":hidden");
        if (panelIsHidden)
            ws.show(1000, function () {
                $(showHideSelector).attr("value", "Hide");
            });
            else {
                ws.hide(1000, function () {
                    $(showHideSelector).attr("value", "Show");
                });
        }
    }
</script>
<script type="text/javascript">
    function emulate() {
        var e = new jQuery.Event("click");
        e.pageX = 112;
        $(showHideSelector).click(e);
    }
</script>
<script type="text/javascript">
    function checkAll() {
        var checkBoxesSelector = "#<%= VisitedCities.ClientID %> input[type=checkbox]";
        var autoCheckSelector = "#<%= CheckboxSelector.ClientID %>";

        var status = $(autoCheckSelector).is(":checked");
        $(checkBoxesSelector).attr("checked", status);

//        $(checkBoxesSelector).each(function () {
//            this.checked = $(autoCheckSelector).is(":checked") 
//        });
    }
</script>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <input type="button" id="ShowHideButton" value="" />
    <input type="button" id="Button1" value="Emulate Show/Hide" onclick="emulate()" />

    <div id="Panel">
        <asp:CheckBoxList runat="server" ID="VisitedCities">
        </asp:CheckBoxList>
        <hr />
        <asp:CheckBox runat="server" ID="CheckboxSelector" Text="Check all" />
    </div>
</asp:Content>
