﻿using System;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace FormsMix
{
    public partial class DoSearch : Page
    {
        protected void Page_Load(Object sender, EventArgs e)
        {
            // Use the PreviousPage object to retrieve posted data
            if (PreviousPage == null)
            {
                Message.Text = "Must be a cross-page post.";
                return;
            }

            // May not work due to Keyword being nested in containers
            //var txt = (TextBox) PreviousPage.FindControl("Keyword");
            //if (txt == null)
            //{
            //    Message.Text = "Can't find the control.";
            //    return;
            //}

            // May not work due to Keyword being inaccessible--protected member 
            //dynamic previousPage = PreviousPage;
            //var txt = previousPage.Keyword;
            //if (txt == null)
            //{
            //    Message.Text = "Can't find the control.";
            //    return;
            //}

            // Use a strongly typed approach
            KeywordsBeingUsed.Text = PreviousPage.SelectedKeywords;
        }
    }
}