﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Query.aspx.cs" Inherits="Wizards.Query" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div>
    <asp:wizard runat="server" id="QueryWizard" 
        Style="border:outset 1px gray"
        HeaderText="Search Your Database" OnFinishButtonClick="OnFinish" OnNextButtonClick="OnNext" OnActiveStepChanged="OnViewChanged" ActiveStepIndex="1">
        <sidebarstyle backcolor="PowderBlue" borderwidth="1px" />
        <headerstyle horizontalalign="Right" font-bold="True" font-size="120%" /> 
        <navigationbuttonstyle borderwidth="1px" width="80px" borderstyle="Solid" backcolor="LightGray" /> 
        <stepstyle backcolor="Gainsboro" borderwidth="1px" borderstyle="Outset" /> 

        <sidebartemplate>
            <div style="height:300px">
            <img src="/images/wizard.jpg" />
            <asp:datalist runat="server" id="SideBarList">
                <ItemTemplate>
                    <asp:linkbutton runat="server" id="SideBarButton"></asp:linkbutton>
                </ItemTemplate>
                <AlternatingItemTemplate>
                    <asp:linkbutton runat="server" id="SideBarButton"></asp:linkbutton>
                </AlternatingItemTemplate>
            </asp:datalist> 
            </div>
        </sidebartemplate>
    
        <wizardsteps>
            <asp:wizardstep ID="Wizardstep1" runat="server" title="Connect" StepType="Start">
                <div style="height:200px;width:400px;margin:10;">
                    <table>
                        <tr><td>Provider</td><td>
                            <asp:textbox runat="server" id="ProviderName" Enabled="False" Font-Size="90%" text="System.Data.SqlClient" Width="250px" />
                            <asp:requiredfieldvalidator ID="Requiredfieldvalidator1" runat="server" 
                                text="*"
                                errormessage="Must indicate a provider" 
                                setfocusonerror="True" 
                                controltovalidate="ProviderName" />
                            </td></tr>
                        <tr><td>Connection String</td><td>
                            <asp:textbox runat="server" id="ConnString" Font-Size="90%" text="SERVER=(local);DATABASE=northwind;UID=sa;" Width="250px" />
                            <asp:requiredfieldvalidator ID="Requiredfieldvalidator2" runat="server" 
                                text="*"
                                errormessage="Must indicate a connection string" 
                                setfocusonerror="True" 
                                controltovalidate="ConnString" />
                            <asp:Label runat="server" ID="CancelMsg" />
                        </td></tr>
                        <tr><td height="100px"></td></tr>
                    </table>
                    <asp:validationsummary runat="server" displaymode="List" id="Summary" />   
                </div>
            </asp:wizardstep>
            <asp:wizardstep ID="Wizardstep2" runat="server" title="Write the Query" StepType="Step">
                <div style="height:200px;width:400px;margin:10;">
                    <table>
                        <tr><td>Table</td><td>
                            <asp:dropdownlist runat="server" id="TableList">
                                <asp:ListItem Text="Territories" />
                                <asp:ListItem Text="Employees" />
                                <asp:ListItem Text="Customers" />
                                <asp:ListItem Text="Orders" />
                            </asp:dropdownlist>
                            <asp:CheckBox runat="server" ID="SpecifyFields" Text="Specify fields" AutoPostBack="True" />
                        </td></tr>
                        <tr><td>Columns</td><td><asp:textbox runat="server" id="ColumnList" Enabled="False" Width="296px" /></td></tr>
                        <tr><td>Where</td><td><asp:textbox runat="server" id="WhereClause" Width="296px" /></td></tr>
                        <tr><td>TOP</td><td><asp:textbox runat="server" id="TopX" Width="296px" /></td></tr>
                        <tr><td height="100"></td></tr>
                    </table>
                </div>
            </asp:wizardstep>
            <asp:wizardstep ID="Wizardstep3" runat="server" title="Optional Information" StepType="Step">
                <div style="height:200px;width:400px;margin:10;">
                    <table>
                        <tr><td valign="top">Notes</td><td>
                            <asp:textbox runat="server" id="Notes"
                                rows="10" columns="35" textmode="MultiLine" /></td></tr>
                    </table>
                </div>
            </asp:wizardstep>
            <asp:wizardstep ID="Wizardstep4" runat="server" title="Finalizing..." StepType="Finish">
                <div style="height:200px;width:400px;margin:10;">
                    <asp:label runat="server" id="ReadyMsg" />
                </div>
            </asp:wizardstep>
            <asp:wizardstep ID="Wizardstep5" runat="server" title="Show Results" steptype="Complete">
                <div style="height:200px;width:400px;margin:10;">
                    <asp:label runat="server" id="FinalMsg" Font-Bold="True" ForeColor="blue" />
                    <hr />
                    <asp:GridView runat="server" ID="grid" />
                </div>
            </asp:wizardstep>
        </wizardsteps>
        </asp:wizard>
    </div>
</asp:Content>
